Subject: RE: [Sip] 1xx Provisional Responses

From: "Chris Boulton" <[email-masked]>
Date: Thu, 8 Jan 2004 15:22:58 -0000

Have you looked at RFC 3262.

Chris.

>-----Original Message-----
>From: Suha Cubukcuoglu [mailto:[email-masked]]
>Sent: 08 January 2004 15:06
>To: [email-masked]
>Cc: edNET Telco
>Subject: [Sip] 1xx Provisional Responses
>
>Hi,
>
>In the RFC for SIP (#3261) it is stated that 1xx provisional responses
>are not transmitted reliably and never cause the client to send an ACK
>message. SIP clients use UDP to send messages across networks.
>Therefore, for example, '180 Ringing' message may or may reach the
>calling party without the called party recognizing whether the message
>has reached its destination. This has adverse effects in terms of call
>setup and usability. If the 180 Ringing message is lost in the network
>while the called party is ringing, the calling party will have no idea
>what state the call is in at any time (e.g. one could think they dialed
>a wrong number, or its taking too long to contact the other end, etc.).
>'180 Ringing' message, in our opinion, should be treated as a critical
>message just like INVITE and 200 OK or the called party must send
>multiple '180 Ringing' messages, instead of just one, to make sure the
>other end will receive the message one way or other.
>
>Could you please tell us your comments about this?
>
>Thanks very much.
>
>Regards,
>
>Suha Cubukcuoglu
>nplusone
>t: +44 131 514 2000
>d: +44 131 514 4037
>
>--
>
>This email and any files transmitted with it are confidential and
intended
>solely for the use of the individual or entity to whom they are
addressed.
>If you have received this email in error please notify the sender. Any
>offers or quotation of service are subject to formal specification.
>Errors and omissions excepted.  Please note that any views or opinions
>presented in this email are solely those of the author and do not
>necessarily represent those of edNET or lightershade ltd. Finally, the
>recipient should check this email and any attachments for the presence
of
>viruses.  edNET and lightershade ltd accepts no liability for any
damage
>caused by any virus transmitted by this email.
>
>--
>--
>Virus scanned by edNET.
>
>_______________________________________________
>Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>This list is for NEW development of the core SIP Protocol
>Use [email-masked] for questions on current sip
>Use [email-masked] for new developments on the application of sip

This message has been scanned for viruses by MailControl - www.mailcontrol.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip